MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025004Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2014-06-11 15:362014-11-11 12:53
Reporteraml 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025004: Extrema curve/curve incorrect result
DescriptionOn attached files curve/curve algorithm returns incorrect result.
Steps To Reproduce#test case 1
restore c1.txt
restore c2.txt
extrema c1 c2

#test case 2
restore bc1.txt
restore bc2.txt
extrema bc1 bc2

Only one extrema obtained instead of two in both cases.
TagsNo tags attached.
Test case numberbugs modalg_5(010) bug25004_1, bug25004_2, bug25004_3
Attached Filestxt file icon c1.txt (57 bytes) 2014-06-11 15:38
txt file icon c2.txt (56 bytes) 2014-06-11 15:38
txt file icon bc1.txt (644 bytes) 2014-06-11 15:39
txt file icon bc2.txt (279 bytes) 2014-06-11 15:39

- Relationships

-  Notes
(0029770)
aml (developer)
2014-06-11 15:44

Dear ifv,

Please check current state of branch CR25004.
(0029774)
ifv (developer)
2014-06-11 17:24

Modification of test cases - circle are in the same plane, produces invalid result
(0029945)
aml (developer)
2014-07-03 07:43

Dear ifv,
Please check current state of branch CR25004.
(0029947)
ifv (developer)
2014-07-03 09:26

Ok
(0029955)
mkv (tester)
2014-07-03 15:35

Dear BugMaster,

Branch CR25004 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 3c932749abfc9b5fc16f39459c435fda1e0463fe

Number of compiler warnings:

occt component :
Linux: 16 (16 on master)
Windows: 0 (0 on master)
MacOS: 199 (199 on master)

products component :
Linux: 11 (11 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR25004-master-occt/Debian60-64/bugs/modalg_5/bug25004_1.html [^]
http://occt-tests/CR25004-master-occt/Windows-32-VC9/bugs/modalg_5/bug25004_1.html [^]
bugs modalg_5(010) bug25004_1: OK

http://occt-tests/CR25004-master-occt/Debian60-64/bugs/modalg_5/bug25004_2.html [^]
http://occt-tests/CR25004-master-occt/Windows-32-VC9/bugs/modalg_5/bug25004_2.html [^]
bugs modalg_5(010) bug25004_2: OK

http://occt-tests/CR25004-master-occt/Debian60-64/bugs/modalg_5/bug25004_3.html [^]
http://occt-tests/CR25004-master-occt/Windows-32-VC9/bugs/modalg_5/bug25004_3.html [^]
bugs modalg_5(010) bug25004_3: OK

Testing on Linux:
Total MEMORY difference: 349164132 / 349434144
Total CPU difference: 53839.83999999983 / 53214.98000000009

Testing on Windows:
Total MEMORY difference: 377040800 / 377782008
Total CPU difference: 44200.984375 / 42054.671875

There are no differences in images found by testdiff.
(0030340)
git (administrator)
2014-07-22 16:18

Branch CR25004 has been deleted by inv.

SHA-1: 32347d016d94f10e87f842983aed9bec03acd3e9

- Related Changesets
occt: master 5493d334
Timestamp: 2014-07-03 12:00:36
Author: aml
Committer: apn
Details ] Diff ]
0025004: Extrema curve/curve incorrect result

Fixed bug in extrema clustering algorithm.
Tolerances changing is available now.
Testcase with Branin function added.

Test cases for issue CR25004
mod - src/Extrema/Extrema_ExtCC.cxx Diff ] File ]
mod - src/Extrema/Extrema_GenExtCC.cdl Diff ] File ]
mod - src/Extrema/Extrema_GenExtCC.gxx Diff ] File ]
mod - src/math/math_GlobOptMin.cxx Diff ] File ]
mod - src/math/math_GlobOptMin.hxx Diff ] File ]
mod - src/QABugs/QABugs_19.cxx Diff ] File ]
mod - tests/bugs/modalg_5/bug23706_10 Diff ] File ]
mod - tests/bugs/modalg_5/bug23706_11 Diff ] File ]
add - tests/bugs/modalg_5/bug25004_1 Diff ] File ]
add - tests/bugs/modalg_5/bug25004_2 Diff ] File ]
add - tests/bugs/modalg_5/bug25004_3 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-06-11 15:36 aml New Issue
2014-06-11 15:36 aml Assigned To => aml
2014-06-11 15:38 aml Steps to Reproduce Updated View Revisions
2014-06-11 15:38 aml File Added: c1.txt
2014-06-11 15:38 aml File Added: c2.txt
2014-06-11 15:39 aml File Added: bc1.txt
2014-06-11 15:39 aml File Added: bc2.txt
2014-06-11 15:43 aml Status new => assigned
2014-06-11 15:44 aml Note Added: 0029770
2014-06-11 15:44 aml Assigned To aml => ifv
2014-06-11 15:44 aml Status assigned => resolved
2014-06-11 17:24 ifv Note Added: 0029774
2014-06-11 17:24 ifv Assigned To ifv => aml
2014-06-11 17:24 ifv Status resolved => feedback
2014-07-03 07:43 aml Note Added: 0029945
2014-07-03 07:43 aml Assigned To aml => ifv
2014-07-03 07:43 aml Status feedback => resolved
2014-07-03 09:26 ifv Note Added: 0029947
2014-07-03 09:26 ifv Status resolved => reviewed
2014-07-03 10:00 mkv Assigned To ifv => mkv
2014-07-03 15:34 apn Target Version => 6.8.0
2014-07-03 15:35 mkv Note Added: 0029955
2014-07-03 15:35 mkv Test case number => bugs modalg_5(010) bug25004_1, bug25004_2, bug25004_3
2014-07-03 15:35 mkv Assigned To mkv => bugmaster
2014-07-03 15:35 mkv Status reviewed => tested
2014-07-04 13:38 apn Changeset attached => occt master 5493d334
2014-07-04 13:38 apn Assigned To bugmaster => apn
2014-07-04 13:38 apn Status tested => verified
2014-07-04 13:38 apn Resolution open => fixed
2014-07-22 16:18 git Note Added: 0030340
2014-11-11 12:46 aiv Fixed in Version => 6.8.0
2014-11-11 12:53 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker